=== man/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# Set the OS name and version macros if imake has defined them

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit sun.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit sun.cf to change

# platform:  sun.cf	96/06/21
# operating system:  SunOS 5.5 Generic sun4u

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system and project description parameters
# Edit Imake.p-params to change

           LIBDIR = $(LOCALUSRLIBDIR)/troffcvt
       PROJLIBDIR = $(LIBDIR)
      MACROLIBDIR = $(USRLIBDIR)/tmac
  MACROFILEPREFIX =

         STRING_H = <string.h>
 STRING_H_DEFINES = -D'STRING_H=$(STRING_H)'

       INCLUDESRC = $(TOP)/h
           LIBSRC = $(TOP)/lib
       LIBUNIXSRC = $(TOP)/libunix
        LIBMACSRC = $(TOP)/libmac
          UTILSRC = $(TOP)/util

           DOCSRC = $(TOP)/doc
           MANSRC = $(TOP)/man

         TCGENLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcgen.a
      DEPTCGENLIB = $(LIBSRC)/libtcgen.a
        TCREADLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcread.a
     DEPTCREADLIB = $(LIBSRC)/libtcread.a
        TCUNIXLIB = $(LOADERLIBPREFIX)$(LIBUNIXSRC)/libtcunix.a
     DEPTCUNIXLIB = $(LIBUNIXSRC)/libtcunix.a

# -------------------------------------------------------------------------
# Standard system and project description parameters
# Edit Imake.params to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

            SHELL = /bin/sh

  VARARGS_DEFINES = -DSTDARG -DVARARGS

              TOP = ../.
      CURRENT_DIR = ./man

# Configuration file identification - name and release level

         CONFIGNAME = WRPRC2
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 11
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)
      CONFIGROOTDIR = /usr/local/lib/config

# Project identfication - name and release level

        PROJECTNAME = troffcvt
PROJECTMAJORRELEASE = 1
PROJECTMINORRELEASE = 04
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

           BINDIR = /usr/bin
        USRLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint

           ETCDIR = /usr/etc
      INCLUDEROOT = /usr/include
           TMPDIR = /usr/tmp
     SPOOLROOTDIR = /var/spool

     LOCALROOTDIR = /usr/local
      LOCALBINDIR = $(LOCALROOTDIR)/bin
   LOCALUSRLIBDIR = $(LOCALROOTDIR)/lib
  LOCALLINTLIBDIR = $(LOCALUSRLIBDIR)/lint
      LOCALADMDIR = $(LOCALROOTDIR)/adm
      LOCALETCDIR = $(LOCALROOTDIR)/etc
 LOCALINCLUDEROOT = $(LOCALROOTDIR)/include

          MANROOT = /usr/local/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MAN1SUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar cq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
              CMP = cmp

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = $(LOCALBINDIR)/perl
            PERL5 = perl5
        PERL5PATH = $(LOCALBINDIR)/perl5
              AWK = awk
              SED = sed
             COMM = comm
              CAT = cat
              COL = col
             SORT = sort
             UNIQ = uniq
            CHMOD = chmod
            CHDIR = cd
     SENDMAILPATH = /usr/lib/sendmail

# Important local programs

              FIGEN = figen
             DISTAR = distar

# Standard system include file directories, defines, etc.

  STD_CPP_DEFINES =

     STD_INCLUDES = -I$(LOCALINCLUDEROOT)
      STD_DEFINES = -Dsun -DSVR4
       STD_LDLIBS = -lsocket -lnsl -lw
      STD_LDFLAGS = -L$(LOCALUSRLIBDIR)

# Project-specific include file directories, defines, etc.

 PROJECT_INCLUDES = -I. -I$(INCLUDESRC)
  PROJECT_DEFINES = $(VARARGS_DEFINES) $(STRING_H_DEFINES)
   PROJECT_LDLIBS =
  PROJECT_LDFLAGS =

  LOADERLIBPREFIX =
      CDEBUGFLAGS = -O
        CCOPTIONS = -Xc

      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLINCLUDES) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLINCLUDES) $(ALLDEFINES)
     EXTRA_LDLIBS = $(LDLIBS) $(PROJECT_LDLIBS) $(STD_LDLIBS)
           LDOPTS = $(CDEBUGFLAGS) $(CCOPTIONS) \
			$(LDFLAGS) $(PROJECT_LDFLAGS) $(STD_LDFLAGS)

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = /usr/ucb/install
         INSTCOPY = -c
        INSTSTRIP = -s
        INSTOWNER =
        INSTGROUP =
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0644
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
    INSTPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -ms
       MDOCMACROS = -mdoc
         TROFFCVT = troffcvt
           TBLCVT = tblcvt
       TROFF2HTML = troff2html
        TROFF2RTF = troff2rtf
           UNROFF = unroff
      TCMANMACROS = -man
       TCMEMACROS = -me
       TCMMMACROS = -mm
       TCMSMACROS = -ms
     TCMDOCMACROS = -mdoc

# Library link and dependency specifiers

      BIBSTUFFLIB = -lbibstuff
   DEPBIBSTUFFLIB =
           ETMLIB = -letm
        DEPETMLIB =
           FPLLIB = -lfpl
        DEPFPLLIB =
           FQLLIB = -lfql
        DEPFQLLIB =
         GECOSLIB = -lgecos
      DEPGECOSLIB =
        LOGMGRLIB = -llogmgr
     DEPLOGMGRLIB =
        MEMMGRLIB = -lmemmgr
     DEPMEMMGRLIB =
           NDSLIB = -lnds
        DEPNDSLIB =
           NIOLIB = -lnio
        DEPNIOLIB =
         ORDERLIB = -lorder
      DEPORDERLIB =
        SEQNUMLIB = -lseqnum
     DEPSEQNUMLIB =
        SIMSCRLIB = -lsimscr
     DEPSIMSCRLIB =
           TFMLIB = -ltfm
        DEPTFMLIB =
            TSLIB = -ltokenscan
         DEPTSLIB =
          PORTLIB = -lport
       DEPPORTLIB =

# Makefile-generating commands and parameters

   IMBOOT_DEFINES =
       IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

# troffcvt manual page Makefile

all::

documents-ps:: troffcvt.ps tc2html.ps troff2html.ps tc2html-toc.ps \
	troff2rtf.ps unroff.ps tblcvt.ps

documents-html:: troffcvt.html tc2html.html troff2html.html tc2html-toc.html \
	troff2rtf.html unroff.html tblcvt.html

documents-text:: documents-txt
documents-txt:: troffcvt.txt tc2html.txt troff2html.txt tc2html-toc.txt \
	troff2rtf.txt unroff.txt tblcvt.txt

documents-rtf:: troffcvt.rtf tc2html.rtf troff2html.rtf tc2html-toc.rtf \
	troff2rtf.rtf unroff.rtf tblcvt.rtf

all:: troffcvt.man

all:: troffcvt.man
troffcvt.man:: troffcvt.msub
	$(RM) $@
	$(MSUB) troffcvt.msub > $@

clean::
	$(RM) troffcvt.man

help_aux::
	@echo "'make "troffcvt.man"' to "build troffcvt.man

troffcvt.ps:: troffcvt.man
	$(SOELIM) troffcvt.man  | $(TROFF) $(MANMACROS) $(TROFFOPTS) > troffcvt.ps

clean::
	$(RM) troffcvt.ps

help_aux::
	@echo "'make "troffcvt.ps"' to "format troffcvt.ps in PostScript

troffcvt.html:: troffcvt.man
	$(SOELIM) troffcvt.man  | $(TROFF2HTML) $(TCMANMACROS)  $(TROFFOPTS) - >troffcvt.html

clean::
	$(RM) troffcvt.html

help_aux::
	@echo "'make "troffcvt.html"' to "format troffcvt.html in HTML

troffcvt.txt:: troffcvt.man
	$(SOELIM) troffcvt.man  | $(UNROFF) $(TCMANMACROS)  $(TROFFOPTS) - > troffcvt.txt

clean::
	$(RM) troffcvt.txt

help_aux::
	@echo "'make "troffcvt.txt"' to "format troffcvt.txt in plain text

troffcvt.rtf:: troffcvt.man troffcvt.man
	$(SOELIM) troffcvt.man  | $(TROFF2RTF) $(TCMANMACROS)  $(TROFFOPTS)> troffcvt.rtf

clean::
	$(RM) troffcvt.rtf

install.man:: i.troffcvt.man
i.troffcvt.man:: troffcvt.man
	@if [ -d $(MANDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(MANDIR)); fi
	$(INSTALL) $(INSTMANFLAGS) troffcvt.man $(MANDIR)/troffcvt.$(MANSUFFIX)

help_aux::
	@echo "'make "i.troffcvt.man"' to "install troffcvt.man manual page

tc2html.ps:: tc2html.man
	$(SOELIM) tc2html.man  | $(TROFF) $(MANMACROS) $(TROFFOPTS) > tc2html.ps

clean::
	$(RM) tc2html.ps

help_aux::
	@echo "'make "tc2html.ps"' to "format tc2html.ps in PostScript

tc2html.html:: tc2html.man
	$(SOELIM) tc2html.man  | $(TROFF2HTML) $(TCMANMACROS)  $(TROFFOPTS) - >tc2html.html

clean::
	$(RM) tc2html.html

help_aux::
	@echo "'make "tc2html.html"' to "format tc2html.html in HTML

tc2html.txt:: tc2html.man
	$(SOELIM) tc2html.man  | $(UNROFF) $(TCMANMACROS)  $(TROFFOPTS) - > tc2html.txt

clean::
