=== examples/simple/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.51 89/12/12 12:37:30 jim Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit sun.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit sun.cf to change

# platform:  sun.cf	93/06/30
# operating system:  SunOS 4.1.1

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system description parameters
# Edit System.p-tmpl to change

# -------------------------------------------------------------------------
# Standard system description parameters
# Edit System.tmpl to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

            SHELL = /bin/sh

  VARARGS_DEFINES = -DVARARGS

              TOP = .
      CURRENT_DIR = .

           BINDIR = /usr/local
        USRLIBDIR = /usr/lib
           TMPDIR = /tmp
           ADMDIR = /usr/adm
           ETCDIR = /usr/etc

      INCLUDEROOT = /usr/include

          MANROOT = /usr/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MANLSUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

  BOOTSTRAPCFLAGS =
            IMAKE = imake
           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar clq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
              CMP = cmp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = /usr/local/perl

     STD_INCLUDES =
  STD_CPP_DEFINES = StandardCppDefines
      STD_DEFINES =
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES =
      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)
           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)

      CDEBUGFLAGS = -O
        CCOPTIONS =

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = install
        INSTSTRIP = -s
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0444
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
        INSTOWNER =
        INSTGROUP =
    INSTPROGFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -ms

# -------------------------------------------------------------------------
# project-specific configuration parameters
# Edit Project.p-tmpl to change

###########################################################################
# project-specific project group configuration parameters

###########################################################################
# Section 1.  Cpp symbols

# Project identfication - name and release level

# Project-specific system characteristics

# Project-specific system directories and file locations

# Project-specific include file directories

# Configuration tools (files and directories)

# Extra commands required

# Extra libraries required

###########################################################################
# Section 2.  Makefile symbols; needs to be coordinated with Imake.tmpl

# Project identfication - name and release level

# Project-specific system characteristics

# Project-specific system directories and file locations

# Project-specific include file directories

# Configuration tools (files and directories)

# Extra commands required

# Extra libraries required

# -------------------------------------------------------------------------
# Standard project configuration parameters
# Edit Project.tmpl to change

# Configuration group identification - name and version

         CONFIGNAME = WRPRC2
      CONFIGROOTDIR = $(USRLIBDIR)/config
       PUBCONFIGDIR = $(CONFIGROOTDIR)/$(CONFIGNAME)
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 00
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)

# Project identfication - name and release level

      PRIVCONFIGDIR = $(TOP)/config

        PROJECTNAME = no-project-name
PROJECTMAJORRELEASE = 0
PROJECTMINORRELEASE = 00
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

# Important local programs

              FIGEN = figen

# Library link and dependency specifiers

        BIBSTUFFLIB = -lbibstuff
     DEPBIBSTUFFLIB =
             ETMLIB = -letm
          DEPETMLIB =
             FPLLIB = -lfpl
          DEPFPLLIB =
             FQLLIB = -lfql
          DEPFQLLIB =
           GECOSLIB = -lgecos
        DEPGECOSLIB =
          LOGMGRLIB = -llogmgr
       DEPLOGMGRLIB =
          MEMMGRLIB = -lmemmgr
       DEPMEMMGRLIB =
             NDSLIB = -lnds
          DEPNDSLIB =
             NIOLIB = -lnio
          DEPNIOLIB =
           ORDERLIB = -lorder
        DEPORDERLIB =
          SEQNUMLIB = -lseqnum
       DEPSEQNUMLIB =
          SIMSCRLIB = -lsimscr
       DEPSIMSCRLIB =
              TSLIB = -ltokenscan
           DEPTSLIB =

# Project-specific include file directories, definitions, and libraries

         INCLUDESRC = .
LOCALINCLUDEINSTALLDIR = $(INCLUDEROOT)/local
   PROJECT_INCLUDES = -I$(INCLUDESRC) -I$(LOCALINCLUDEINSTALLDIR)
    PROJECT_DEFINES =

# Makefile-generating commands and parameters

     IMBOOT_DEFINES =
      IMAKE_DEFINES =
          MACROFILE = sun.cf

          IMAKE_CMD = $(IMAKE) -I$(NEWTOP)$(PRIVCONFIGDIR) -I$(PUBCONFIGDIR) \
			$(IMAKE_DEFINES)

         IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

#	Simple Imakefile

#	"imboot -C WRPRC2" to build the Makefile.
#	If there's already a Makefile, you can use "make Bootstrap".

 SRCS = fakeprog.c
 OBJS = fakeprog.o

all:: fakeprog
fakeprog: $(OBJS)
	$(RM) $@
	$(CC) -o $@ $(OBJS) $(LDOPTS)  $(LDLIBS)

clean::
	$(RM) fakeprog

lint:: lint.fakeprog
lint.fakeprog:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)

install:: i.fakeprog
i.fakeprog:: fakeprog
	@if [ -d $(BINDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(BINDIR)); fi
	$(INSTALL) -c $(INSTPROGFLAGS) fakeprog $(BINDIR)/fakeprog

install.man:: i.fakeprog.man
i.fakeprog.man:: fakeprog.man
	@if [ -d $(MANDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(MANDIR)); fi
	$(INSTALL) -c $(INSTMANFLAGS) fakeprog.man $(MANDIR)/fakeprog.$(MANSUFFIX)

depend::
	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

# -------------------------------------------------------------------------
# common rules for all Makefiles

emptyrule::

clean::
	$(RM_CMD) \#*

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

Makefile::
	-@if [ -f Makefile ]; then \
	echo "	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak"; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

Bootstrap::
	$(IMBOOT_CMD) $(TOP) $(CURRENT_DIR)

help::
	@echo "'make all' to make everything"
	@echo "'make target' to make a single target"
	@echo "'make depend' to generate header file dependencies"
	@echo "'make install' to install everything (except manual pages)"
	@echo "'make install.man' to install all manual pages"
	@echo "'make i.target' to install a single target"
	@echo "'make lint' to lint source files"
	@echo "'make lint.target' to lint source files for a single target"
	@echo "'make clean' to clean up"

# -------------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS

all::
depend::
lint::

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

# -------------------------------------------------------------------------
# dependencies generated by makedepend
