=== debian/control ===
Source: troffcvt
Section: text
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 12), groff, xutils-dev
Standards-Version: 3.5.6
Homepage: http://www.snake.net/software/troffcvt/
Vcs-Git: https://salsa.debian.org/debian/troffcvt.git
Vcs-Browser: https://salsa.debian.org/debian/troffcvt

Package: troffcvt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl, groff
Description: Converts troff source to HTML, RTF, and plain text
 Use this package to convert manuals and manpages and other documents
 written using troff to more manageable formats, such as HTML, RTF,
 or plain text.
